using LinqToDB.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.Pojo
{
    //交接班表
    [Table("hkc_changeshifts")]
    public class HkcChangeShifts
    {
        [Column("Id")]
        public int Id { get; set; }
        //操作时间
        [Column("optDate")]
        public DateTime optDate { get; set; }
        //交班操作人
        [Column("FromOperator")]
        public string FromOperator { get; set; }
        //交班审核人
        [Column("FromRviewer")]
        public string FromRviewer { get; set; }
        //接班操作人
        [Column("ToOperator")]
        public string ToOperator { get; set; }
        //接班审核人
        [Column("ToReviewer")]
        public string ToReviewer { get; set; }
        //接班时间
        [Column("ToDate")]
        public DateTime ToDate { get; set; }
        //当班状态（0当前值班，1已交班）
        [Column("State")]
        public string State { get; set; }
        //操作状态（0新增，1修改）
        [Column("optState")]
        public string optState { get; set; }
        [Column("machine_id")]
        public string MachineId { get; set; }
        [Column("Remarks")]
        public string Remarks { get; set; }
    }
}
